t0<-proc.time()[3]
source('GenerateSetUp.R')
filecode<-'Set1'
source("BasicSim.R") #Stratification
source("BasicSim-Reg.R") #PS Regression
source("BasicSim-IPW.R") #IPW
source("BasicSim-DR.R")  #AIPW
source("BasicSim-Match.R") #Matching
save(ests.mat,ests.mat.psr,ests.mat.ipw,ests.mat.dr,ests.mat.match,file='Set1.RData')
t1<-proc.time()[3]
print(t1-t0)

source('GenerateSetUp2.R')
filecode<-'Set2'
source("BasicSim.R") #Stratification
source("BasicSim-Reg.R") #PS Regression
source("BasicSim-IPW.R") #IPW
source("BasicSim-DR.R")  #AIPW
source("BasicSim-Match.R") #Matching
save(ests.mat,ests.mat.psr,ests.mat.ipw,ests.mat.dr,ests.mat.match,file='Set2.RData')
t2<-proc.time()[3]
print(t2-t1)


source('GenerateSetUp3.R')
filecode<-'Set3'
source("BasicSim.R") #Stratification
source("BasicSim-Reg.R") #PS Regression
source("BasicSim-IPW.R") #IPW
source("BasicSim-DR.R")  #AIPW
source("BasicSim-Match.R") #Matching
save(ests.mat,ests.mat.psr,ests.mat.ipw,ests.mat.dr,ests.mat.match,file='Set3.RData')
t3<-proc.time()[3]
print(t3-t2)


source('GenerateSetUp4.R')
filecode<-'Set4'
source("BasicSim.R") #Stratification
source("BasicSim-Reg.R") #PS Regression
source("BasicSim-IPW.R") #IPW
source("BasicSim-DR.R")  #AIPW
source("BasicSim-Match.R") #Matching
save(ests.mat,ests.mat.psr,ests.mat.ipw,ests.mat.dr,ests.mat.match,file='Set4.RData')
t4<-proc.time()[3]

print(t4-t3)


